%global pypi_name moviepy

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        1%{?dist}
Group:          Development/Python
Summary:        Video editing with Python
License:        MIT
URL:            https://zulko.github.io/moviepy/
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
MoviePy is a Python library for video editing: cutting, concatenations,
title insertions, video compositing (a.k.a. non-linear editing), video
processing, and creation of custom effects. See the gallery for some
examples of use at https://zulko.github.io/moviepy/gallery.html.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Video editing with Python 3
Group:          Development/Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-imageio-ffmpeg
BuildRequires:  python%{python3_pkgversion}-proglog
Requires:	python%{python3_pkgversion}-decorator
Requires:       python%{python3_pkgversion}-imageio
Requires:       python%{python3_pkgversion}-imageio-ffmpeg
Requires:	python%{python3_pkgversion}-numpy
Requires:       python%{python3_pkgversion}-proglog
Requires:	python%{python3_pkgversion}-requests
Requires:	python%{python3_pkgversion}-tqdm

%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
MoviePy is a Python3 library for video editing: cutting, concatenations,
title insertions, video compositing (a.k.a. non-linear editing), video
processing, and creation of custom effects. See the gallery for some
examples of use at https://zulko.github.io/moviepy/gallery.html.
This is the Python 3 build of %{pypi_name}.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %%{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst docs
%license LICENCE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Sun May 09 2021 Jean-Marc Liger <ligenix@iscp.fr> 1.0.3-1
- Import from OpenMandriva
- Rename python3-%{pypi_name} to %{python3_pkgversion}-%{pypi_name}
